<?php
$fileName = "./strona.html";

if(!isSet($_GET["kod"])){
  die("error\nNieprawidłowe wywołanie skryptu.");
}

if($_GET["kod"] == "tajny_kod"){
  if(is_readable($fileName)){
    readfile($fileName);
  }
  else{
    echo "error\nStrona nie jest w tej chwili dostępna.";
  }
}
else{
  echo "error\nKod jest nieprawidłowy.";
}
?>